Skip to main content
POST
/
v1
/
deals
/
{id}
/
move
Move deal to different stage
curl --request POST \
  --url https://api.clientcommander.com/v1/deals/{id}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "stageId": "<string>",
  "order": 123
}
'
{
  "meta": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timestamp": "2023-11-07T05:31:56Z",
    "version": "1.0.0"
  },
  "success": true,
  "message": "Operation completed successfully"
}

Authorizations

Authorization
string
header
required

API key for authentication using Bearer token scheme.

How to get your API key:

  1. Log into Client Commander
  2. Go to Admin > API Keys
  3. Click Create API Key
  4. Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here

Path Parameters

id
string
required

Deal ID

Body

application/json
stageId
string
required

Target deal stage ID

order
number

Position within the stage (for visual ordering)

Response

Deal moved successfully

meta
object
required
success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"